use super::super::models::user::*;
use std::future::Future;

pub trait UserNotifier: Clone + Send + Sync + 'static {
    fn user_created(&self, user: &User, token: &ActivationToken)
        -> impl Future<Output = ()> + Send;
    fn forgot_password(
        &self,
        user: &User,
        token: &PasswordResetToken,
    ) -> impl Future<Output = ()> + Send;
}
